VMware vSphere Automation SDK Perl The VMware vSphere Automation SDK for Perl supports the client-side vSphere Automation API for access to vSphere services and capabilities

- Main Page
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Files Functions
List of all members
Com::Vmware::Vapi::Std::Errors::TimedOut Class Reference
Inheritance diagram for Com::Vmware::Vapi::Std::Errors::TimedOut:

## Avaliable Methods
public method | new ()

## Detailed Description

The `Com::Vmware::Vapi::Std::Errors::TimedOut` error indicates that the method* did not complete within the allowed amount of time. The allowed amount of time might be:

- provided by the client as an input parameter .
- a fixed limit of the interface implementation that is a documented part of the contract of the interface .
- a configurable limit used by the implementation of the interface .
- a dynamic limit computed by the implementation of the interface .

The method may or may not complete after the `Com::Vmware::Vapi::Std::Errors::TimedOut` error was reported.

Examples:

- The method was unable to complete within the timeout duration specified by a parameter* of the method .

Counterexamples:

- A server implementation that puts requests into a queue before dispatching them might delete a request from the queue if it doesn't get dispatched within n minutes. The class Com::Vmware::Vapi::Std::Errors::ServiceUnavailable error* would be used instead.

## Member Function Documentation

public method Com::Vmware::Vapi::Std::Errors::TimedOut::new | ( |  | ) |

Constructor to initialize the Com::Vmware::Vapi::Std::Errors::TimedOut structure

Return values

  Blessed | object

Code:
click to view
# Number of lines of code in new: 14
sub new {
my ($class, %args) = @_;
$class = ref($class) || $class;
my $validatorList = [];
my $self = $class->SUPER::new('validator_list' => $validatorList, %args);
$self->set_binding_class('binding_class' => 'Com::Vmware::Vapi::Std::Errors::TimedOut');
$self->set_binding_name('name' => 'com.vmware.vapi.std.errors.timed_out');
bless $self, $class;
return $self;
}

The documentation for this class was generated from the following file:

- Com/Vmware/Vapi/Std/Errors/TimedOut.pm